{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}
{% import 'macro/_sitting_tabs.html.twig' as macroTab %}
{% import 'macro/_sitting_nav.html.twig' as macroNav %}

{% block stylesheets %}
    {{ encore_entry_link_tags('vue-manage-projects') }}
{% endblock %}

{% block body %}
    <div class="col-12">
{#        {{ breadcrumbs() }}#}
    </div>

    <div class="d-flex align-items-center col-12 mt-3">
        <h1 class="flex-grow-1">Détail de la séance </h1>
        {% if  not sitting.isArchived %}
            {{ macroNav.toogleView( path('edit_sitting_actor', {'id': sitting.id}) , 'show') }}
        {% endif %}
    </div>

    <div class="mt-3 col-12">
        <div class="mt-4">
            {{ macro.backButton('sitting_index', {'status' : sitting.isArchived ? 'archived' : 'active'}) }}
        </div>

        <div v-cloak id="app">
            <div class="col-12  form-white mt-4 px-3">
                {{ macroTab.showTabs('actors', sitting) }}

                <div class="alert alert-danger" v-if="errorMessage">${errorMessage}</div>
                <div class="alert alert-success" v-if="infoMessage">${infoMessage}</div>


                <div>
                    <div class="alert alert-info w-75">
                        <div class="effectif d-flex">
                            <div class="col-3 text-center" style="border-right: 1px solid #006EA7">
                                Présents dans la salle : ${inTheRoom}
                            </div>
                            <div class="col-3 text-center" style="border-right: 1px solid #006EA7">
                                Suppléants présents : ${ assignedAndPresentDeputies }
                            </div>

                            <div class="col-3 text-center" style="border-right: 1px solid #006EA7">
                                Pouvoirs donnés : ${ poa }
                            </div>
                            <div class="col-3 text-center">
                                Quorum : ${ quorum }
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12 mb-3" v-if="!isArchived">
                        <button :disabled="isAlreadySentActors && isAlreadySentEmployees && isAlreadySentGuests"
                                class="btn btn-primary" title="Envoyer à tous les destinataires"
                                data-bs-target="#confirmSendAll"
                                data-bs-toggle="modal">
                            <span class="fa fa-paper-plane"></span>
                            Envoyer à tous les destinataires
                        </button>
                    </div>

                    <div class="col-3">
                        <h2>Elus</h2>
                    </div>
                    <div class="col-9">
                        <div class="float-end" v-if="!isArchived">
                            <button class="btn btn-outline-primary" title="Notifier à nouveau"
                                    @click="openShowModalNotifyAgain()">
                                Notifier à nouveau
                            </button>
                            <button class="btn btn-outline-primary" title="Gérer les présences"
                                    @click="openShowModalAttendance()">
                                Gérer les présences
                            </button>

                            <button :disabled="isAlreadySentActors" class="btn btn-primary"
                                    title="Envoyer les convocations"
                                    data-bs-target="#confirm"
                                    data-bs-toggle="modal">
                                <span class="fa fa-paper-plane"></span>
                                Envoyer les convocations
                            </button>

                            <button :disabled="comelusId || !isComelus || isComelusSending" class="btn btn-primary"
                                    title="Envoyer via Comelus"
                                    data-bs-target="#confirmComelus"
                                    data-bs-toggle="modal">
                                <span class="fa fa-paper-plane"></span>
                                Envoyer via Comélus
                            </button>


{#                            <button#}
{#                                    {% if isActiveLsvote == false %} disabled="disabled" {% endif %}#}
{#                                    class="btn btn-primary"#}
{#                                    title="Envoyer à Lsvote"#}
{#                                    data-bs-target="#confirmLsvote"#}
{#                                    data-bs-toggle="modal">#}
{#                                <span class="fa fa-paper-plane"></span>#}
{#                                <span v-if="!lsvoteId">Envoyer à Lsvote </span>#}
{#                                <span v-if="lsvoteId">Renvoyer à Lsvote </span>#}
{#                            </button>#}

                        </div>
                    </div>
                </div>

                <div class="input-group w-25 float-end pr-0 w-25">
                    <input type="text" class="form-control" placeholder="Rechercher" v-model="filter.actor">
                    <div class="input-group-append">
                        <button class="btn btn-primary" title="Effacer" @click="resetFilters()">
                            <span class="fas fa-times"></span>
                        </button>
                    </div>
                </div>

                <table class="table table-striped mt-5 bg-white">
                    <thead>
                    <tr class="d-flex">
                        <th class="col-3">Nom</th>
                        <th class="col-1">Groupe politique</th>
                        <th class="col-2">Envoyée</th>
                        <th class="col-2">Reçue</th>
                        <th class="col-1">Présence</th>
                        <th class="col-3">Mandataire/Suppléant</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr class="d-flex" v-if="filteredActorConvocations.length == 0">
                        <td class="col-12 text-center">
                            Aucun élu convoqué
                        </td>
                    </tr>

                    {% set classToChange = '' %}
                    <tr class="d-flex {{ classToChange }}" v-for="convocation in filteredActorConvocations">
                        <td v-if="convocation.user.isActive" class="activeNotToDisplay {{ classToChange }}">
                            {% set classToChange = 'inactiveLine' %}
                        </td>

                        <td v-else-if="!convocation.user.isActive" class="{{ classToChange }}">
                            {% set classToChange = '' %}
                        </td>

                        <td class="col-3 {{ classToChange }} ">
                            ${convocation.user.lastName} ${convocation.user.firstName}
                        </td>

                        <td class="col-1 {{ classToChange }} ">
                            ${ convocation.user.party?.initials ? convocation.user.party.initials : null}
                        </td>

                        <td v-if="convocation.sentTimestamp" class="col-2">
                            <span class="fas fa-check text-success {{ classToChange }}"></span>

                            ${ convocation.sentTimestamp.createdAt | formatDateString(timezone)}

                            <button @click="openShowModalMailExample(convocation.id, false)"
                                    class="btn btn-outline-primary borderless mt-n2" title="Renvoyer l'email">
                                <span class="fa fa-paper-plane"></span>
                            </button>
                        </td>

                        <td v-else-if="!isArchived" class="col-2 {{ classToChange }}">
                            <button @click="openShowModalMailExample(convocation.id, false)"
                                    class="btn btn-outline-primary borderless mt-n2" title="Envoyer">
                                <span class="fa fa-paper-plane"></span>
                            </button>
                        </td>

                        <td v-else class="col-2 {{ classToChange }}">
                            <span class="fas fa-times text-danger"></span>
                        </td>

                        <td v-if="convocation.receivedTimestamp" class="col-2 {{ classToChange }}">
                            <span class="fas fa-check text-success"></span>
                            ${convocation.receivedTimestamp.createdAt | formatDateString(timezone) }
                        </td>

                        <td v-else class="col-2 {{ classToChange }}">
                            <span class="fas fa-times text-danger"> </span>
                        </td>

                        <td class="col-1 {{ classToChange }}">
                                <span v-if="!convocation.attendance" class="text-warning"
                                      title="Sans réponse">
                                    <i class="fas fa-question"></i>
                                </span>

                            <span v-else-if="convocation.attendance === 'present'"
                                  class="text-success"
                                  title="Présent">
                                    <i class="fas fa-check"></i>
                                </span>

                            <span v-else-if="convocation.attendance === 'remote'"
                                  class="text-success"
                                  title="Présent à distance">
                                    <i class="fas fa-laptop-house"></i>
                                </span>

                            <span v-else-if="convocation.attendance==='deputy'" class="text-info d-flex flex-column"
                                  title="Remplacé par son suppléant">
                                <i class="fa fa-arrow-right-arrow-left"></i>
                            </span>

                            <span v-else-if="convocation.attendance==='poa'" class="text-info d-flex flex-column"
                                  title="Donne pouvoir par procuration">
                                <i class="fa fa-arrows-left-right"></i>
                            </span>

                            <span v-else class="text-danger" title="Absent">
                                    <i class="fas fa-times"></i>
                                </span>
                        </td>


                        <td class="col-3 {{ classToChange }}">
                            <span v-if="convocation.deputy"> ${convocation.deputy.lastName} ${convocation.deputy.firstName} </span>
                            <span v-else-if="convocation.mandator">${convocation.mandator.lastName} ${convocation.mandator.firstName}</span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>


            <div class="col-12 form-white mt-4 px-3">
                <div class="row">
                    <div class="col-6">
                        <h2>Suppléants</h2>
                    </div>
                </div>

                <div class="w-25 float-end pr-0">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Rechercher" v-model="filter.deputy">
                        <div class="input-group-append">
                            <button class="btn btn-primary" title="Effacer" @click="resetFilters()">
                                <span class="fas fa-times"></span>
                            </button>
                        </div>
                    </div>
                </div>

                <table class="table table-striped mt-5 bg-white">
                    <thead>
                    <tr class="d-flex">
                        <th class="col-3">Nom</th>
                        <th class="col-1"></th>
                        <th class="col-2">Envoyée</th>
                        <th class="col-2">Reçue</th>
                        <th class="col-1">Présence</th>
                        <th class="col-3">Titulaire</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr class="d-flex" v-if="filteredDeputyConvocations.length === 0">
                        <td class="col-12 text-center">
                            Aucun suppléant
                        </td>
                    </tr>

                    <tr class="d-flex " v-for="convocation in filteredDeputyConvocations">
                        <td class="col-3" v-if="">
                            ${convocation.user.lastName} ${convocation.user.firstName}
                        </td>

                        <td class="col-1"></td>

                        <td v-if="convocation.sentTimestamp" class="col-2"><span
                                    class="fas fa-check text-success"> </span>
                            ${convocation.sentTimestamp.createdAt | formatDateString(timezone) }
                        </td>

                        <td v-else class="col-2">
                            <button @click="openShowModalMailExample(convocation.id, false)"
                                    class="btn btn-outline-primary borderless mt-n2" title="Envoyer">
                                <span class="fa fa-paper-plane"></span>
                            </button>
                        </td>

                        <td v-if="convocation.receivedTimestamp" class="col-2">
                            <span class="fas fa-check text-success"> </span>
                            ${convocation.receivedTimestamp.createdAt | formatDateString(timezone) }
                        </td>

                        <td v-else class="col-2">
                            <span class="fas fa-times text-danger"></span>
                        </td>

                        <td class="col-1 {{ classToChange }}">

                            <span v-if="convocation.attendance === 'present'"
                                  class="text-success"
                                  title="Présent">
                                <i class="fas fa-check"></i>
                            </span>

                            <span v-else class="text-danger" title="Absent">
                                <i class="fas fa-times"></i>
                            </span>

                        </td>

                        <td class="col-3">
                            <span v-for="actor in filteredActorConvocations">
                                <span v-if="actor.deputy && actor.deputy.id === convocation.user.id" class="titularIfAny">
                                    ${actor.user.lastName} ${actor.user.firstName}
                                </span>
                            </span>
                        </td>

                    </tr>
                    </tbody>
                </table>
            </div>


            {% if sitting.invitationFile %}
                <div class="col-12 form-white mt-4 px-3">
                    <div class="row">
                        <div class="col-6">
                            <h2>Personnels administratifs</h2>
                        </div>
                        <div class="col-6">
                            <button :disabled="isAlreadySentEmployees" class="btn btn-primary float-end"
                                    title="Envoyer les invitations"
                                    data-bs-target="#confirm_employee"
                                    data-bs-toggle="modal">
                                <span class="fa fa-paper-plane"></span>
                                Envoyer les invitations
                            </button>
                        </div>
                    </div>

                    <div class="input-group w-25 float-end pr-0">
                        <input type="text" class="form-control" placeholder="Rechercher" v-model="filter.employee">
                        <div class="input-group-append">
                            <button class="btn btn-primary" title="Effacer" @click="resetFilters()">
                                <span class="fas fa-times"></span>
                            </button>
                        </div>
                    </div>

                    <table class="table table-striped mt-5 bg-white">
                        <thead>
                        <tr class="d-flex">
                            <th class="col-4">Nom</th>
                            <th class="col-2">Envoyée</th>
                            <th class="col-2">Reçue</th>
                            <th class="col-2">Présence</th>
                            <th class="col-2"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="d-flex" v-if="filteredEmployeeConvocations.length === 0">
                            <td class="col-12 text-center">
                                Aucun administratif invité
                            </td>
                        </tr>

                        <tr class="d-flex" v-for="convocation in filteredEmployeeConvocations">
                            <td class="col-4">
                                ${convocation.user.lastName} ${convocation.user.firstName}
                            </td>

                            <td v-if="convocation.sentTimestamp" class="col-2">
                                <span class="fas fa-check text-success"></span>
                                ${convocation.sentTimestamp.createdAt | formatDateString(timezone) }
                            </td>

                            <td v-else class="col-2">

                                <button @click="openShowModalMailExample(convocation.id, true)"
                                        class="btn btn-outline-primary borderless mt-n2" title="Envoyer">
                                    <span class="fa fa-paper-plane"></span>
                                </button>
                            </td>

                            <td v-if="convocation.receivedTimestamp" class="col-2">
                                <span class="fas fa-check text-success"></span>
                                ${convocation.receivedTimestamp.createdAt | formatDateString(timezone) }
                            </td>

                            <td v-else class="col-2">
                                <span class="fas fa-times text-danger"></span>
                            </td>

                            <td class="col-2">
                                    <span v-if="!convocation.attendance" class="text-warning"
                                          title="Sans réponse">
                                        <i class="fas fa-question"></i>
                                    </span>
                                <span v-else-if="convocation.attendance === 'present'"
                                      class="text-success"
                                      title="Présent">
                                        <i class="fas fa-check"></i>
                                    </span>

                                <span v-else-if="convocation.attendance === 'remote'"
                                      class="text-success"
                                      title="Présent à distance">
                                    <i class="fas fa-laptop-house"></i>
                                </span>
                                <span v-else class="text-danger" title="Absent">
                                        <i class="fas fa-times"></i>
                                    </span>
                            </td>

                            <td class="col-2"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="col-12 form-white mt-4 px-3">
                    <div class="row">
                        <div class="col-6">
                            <h2>Invités</h2>
                        </div>
                        <div class="col-6">
                            <button :disabled="isAlreadySentGuests" class="btn btn-primary float-end"
                                    title="Envoyer les invitations"
                                    data-bs-target="#confirm_guest"
                                    data-bs-toggle="modal">
                                <span class="fa fa-paper-plane"></span>
                                Envoyer les invitations
                            </button>
                        </div>
                    </div>

                    <div class="input-group w-25 float-end pr-0">
                        <input type="text" class="form-control" placeholder="Rechercher" v-model="filter.guest">
                        <div class="input-group-append">
                            <button class="btn btn-primary" title="Effacer" @click="resetFilters()">
                                <span class="fas fa-times"></span>
                            </button>
                        </div>
                    </div>

                    <table class="table table-striped mt-5 bg-white">
                        <thead>
                        <tr class="d-flex">
                            <th class="col-4">Nom</th>
                            <th class="col-2">Envoyée</th>
                            <th class="col-2">Reçue</th>
                            <th class="col-2">Présence</th>
                            <th class="col-2"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="d-flex" v-if="filteredGuestConvocations.length === 0">
                            <td class="col-12 text-center">
                                Aucun invité
                            </td>
                        </tr>

                        <tr class="d-flex" v-for="convocation in filteredGuestConvocations">
                            <td class="col-4">
                                ${convocation.user.lastName} ${convocation.user.firstName}
                            </td>

                            <td v-if="convocation.sentTimestamp" class="col-2"><span
                                        class="fas fa-check text-success"> </span>
                                ${convocation.sentTimestamp.createdAt | formatDateString(timezone) }
                            </td>

                            <td v-else class="col-2">
                                <button @click="openShowModalMailExample(convocation.id, true)"
                                        class="btn btn-outline-primary borderless mt-n2" title="Envoyer">
                                    <span class="fa fa-paper-plane"></span>
                                </button>
                            </td>

                            <td v-if="convocation.receivedTimestamp" class="col-2">
                                <span class="fas fa-check text-success"> </span>
                                ${convocation.receivedTimestamp.createdAt | formatDateString(timezone) }
                            </td>

                            <td v-else class="col-2">
                                <span class="fas fa-times text-danger"> </span>
                            </td>

                            <td class="col-2">
                                <span v-if="!convocation.attendance" class="text-warning"
                                      title="Sans réponse">
                                        <i class="fas fa-question"></i>
                                    </span>
                                <span v-else-if="convocation.attendance === 'present'"
                                      class="text-success"
                                      title="Présent">
                                        <i class="fas fa-check"></i>
                                    </span>

                                <span v-else-if="convocation.attendance === 'remote'"
                                      class="text-success"
                                      title="Présent à distance">
                                    <i class="fas fa-laptop-house"></i>
                                </span>
                                <span v-else class="text-danger" title="Absent">
                                        <i class="fas fa-times"></i>
                                    </span>
                            </td>

                            <td class="col-2"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>




            {% endif %}

            <div id="confirmSendAll" ref="confirmSendAll" class="modal fade" role="dialog" data-bs-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h4 class="modal-title">Envoi à tous les destinataires</h4>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            Souhaitez-vous vraiment envoyer la convocation à tous les destinataires ? (élus, personnels
                            administratifs et invités) <br>
                            Les suppléants ne sont pas concernés par cet envoi.
                        </div>

                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn" data-bs-dismiss="modal" type="button" title="Envoyer"
                                    v-on:click="sendConvocations()"
                                    style="background: var(--bs-ls-warning-600); color: white;">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="confirm" ref="confirm" class="modal fade" role="dialog" data-bs-backdrop="static">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h5 class="modal-title">Aperçu des mails qui seront envoyés</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            Chaque élu recevra un mail sous le format suivant :
                            <div class="form-group mt-4">
                                {% if subjectBySittingTypeGenerated %}
                                    <label for="subject">Objet : {{ subjectBySittingTypeGenerated }} </label>
                                {% else %}
                                    <label for="subject">Objet : {{ subjectGenerated }} </label>
                                {% endif %}

                                <iframe class="mt-3 bg-white"
                                        :src=`/api/convocations/previewForSecretary/${convocationIdCurrent}`
                                        width="100%" height="300px"
                                        style="border: 1px solid #ced4da; border-radius: .25rem;">
                                </iframe>
                            </div>
                        </div>
                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn btn-primary" data-bs-dismiss="modal" type="button"
                                    title="Envoyer les convocations aux élus"
                                    v-on:click="sendConvocations('Actor'); showModalSend()">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="confirm_employee" ref="confirm_employee" class="modal fade" role="dialog"
                 data-bs-backdrop="static">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h5 class="modal-title">Aperçu des mails qui seront envoyés</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            Chaque personnel administratif recevra un mail sous le format suivant :
                            <div class="form-group mt-4">
                                <label for="subject">Objet : {{ subjectInvitation }} </label>
                                <iframe class="mt-3 bg-white"
                                        :src=`/api/convocations/previewForSecretaryOther/${convocationIdCurrent}`
                                        width="100%" height="300px"
                                        style="border: 1px solid #ced4da; border-radius: .25rem;">
                                </iframe>
                            </div>
                        </div>
                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn btn-primary" data-bs-dismiss="modal" type="button"
                                    title="Envoyer les convocations aux employés"
                                    v-on:click="sendConvocations('Employee')">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="confirm_guest" ref="confirm_guest" class="modal fade" role="dialog" data-bs-backdrop="static">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h5 class="modal-title">Aperçu des mails qui seront envoyés</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            Chaque invité recevra un mail sous le format suivant :
                            <div class="form-group mt-4">
                                <label for="subject">Objet : {{ subjectInvitation }} </label>
                                <iframe class="mt-3 bg-white"
                                        :src=`/api/convocations/previewForSecretaryOther/${convocationIdCurrent}`
                                        width="100%" height="300px"
                                        style="border: 1px solid #ced4da; border-radius: .25rem;">
                                </iframe>
                            </div>
                        </div>
                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn btn-primary" data-bs-dismiss="modal" type="button"
                                    title="Envoyer les convocations aux invités"
                                    v-on:click="sendConvocations('Guest')">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="confirmComelus" ref="confirmComelus" class="modal fade" role="dialog" data-bs-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h4 class="modal-title">Envoi via comélus</h4>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            Voulez-vous vraiment envoyer les documents via comélus ?
                        </div>

                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn btn-primary" data-bs-dismiss="modal" type="button"
                                    title="Envoyer à Comélus"
                                    v-on:click="sendComelus()">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="confirmLsvote" ref="confirmLsvote" class="modal fade" role="dialog" data-bs-backdrop="static">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header align-items-start">
                            <h4 class="modal-title">
                                <span v-if="!lsvoteId">Envoi de la séance à lsvote</span>
                                <span v-if="lsvoteId">Renvoi de la séance à lsvote</span>
                            </h4>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                    title="Fermer"></button>
                        </div>
                        <div class="modal-body">
                            <div v-if="!lsvoteId">
                                <p v-if="notAnswered > 0" class="alert alert-warning">
                                    <small>
                                        <i class="fa fa-exclamation-triangle me-1"></i>
                                        À ce jour ${ notAnswered }
                                        ${ notAnswered > 1 ? ' élus destinataires de l\'envoi n\'ont pas donné de réponses' : 'élu destinataire de l\'envoi n\'a pas donné de réponse'
                                        }
                                        <br>
                                    </small>
                                </p>
                            </div>

                            <div class="mt-2 alert alert-warning" v-if="lsvoteId">
                                <i class="fa fa-warning mr-2"></i> Attention. <br>
                                La séance a déjà été envoyée à lsvote. Effectuer un renvoi effacera la séance
                                précédemment envoyée sur lsvote pour la remplacer par celle-ci. <br>
                                Cette action est impossible si la séance est a déjà été démarrée.
                            </div>

                            <p class="mt-2">
                                Voulez-vous vraiment envoyer la séance à lsvote ?
                            </p>
                        </div>

                        <div class="modal-footer">
                            {{ macro.cancelBtnModal() }}

                            <button class="btn btn-primary" data-bs-dismiss="modal" type="button"
                                    title="Envoyer à Lsvote"
                                    v-on:click="sendLsvote()">
                                <i class="fa fa-paper-plane"></i>
                                Envoyer
                            </button>
                        </div>
                    </div>
                </div>
            </div>


            <div v-if="showModalAttendance">
                <transition name="modal">
                    <div class="modal-mask">
                        <div class="modal-wrapper">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header align-items-start">
                                        <h5 class="modal-title">Gestion des présences</h5>
                                        <button type="button" class="btn-close"  @click="showModalAttendance = false"></button>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped">
                                            <tbody style="display: block;overflow-y: auto;max-height: 60vh;">

                                            <tr class="d-flex">
                                                <th class="col-12">Elus</th>
                                            </tr>
                                            <tr class="d-flex" v-for="status in attendanceStatusActors">

                                                <td class="col-4">
                                                    ${status.lastName} ${status.firstName}
                                                </td>

                                                <td class="col-5" id="changeAttendancePresenceGroup">

                                                    <select class="select form-select" v-model="status.attendance"
                                                            @change="changeAttendance(status);getAvailableDeputies(status.convocationId)">
                                                        <option value="">Sans Réponse</option>
                                                        <option value="present">Présent</option>
                                                        {% if sitting.isRemoteAllowed %}
                                                            <option value="remote">À distance</option>
                                                        {% endif %}
                                                        <option value="absent">Absent</option>

                                                        {% if sitting.isMandatorAllowed %}
                                                            <option v-if="status.role==='Actor'" value="poa">
                                                                Donne pouvoir par procuration
                                                            </option>
                                                        {% endif %}

                                                        <option v-for="actors in actorConvocations"
                                                                v-if="status.convocationId === actors.id && status.role==='Actor'"
                                                                value="deputy">Remplacé par un suppléant
                                                        </option>
                                                    </select>
                                                </td>

                                                <td class="col-3">

                                                    <div v-if="status.attendance==='poa'">
                                                        <select class="select form-select"
                                                                @change="changeAttendance(status);"
                                                                v-model="status.mandator"
                                                                :disabled="status.attendance !== 'poa'">

                                                            <option :value="actors.user"
                                                                    v-for="actors in actorConvocations"
                                                                    v-if="status.lastName !== actors.user.lastName">
                                                                ${actors.user.lastName} ${actors.user.firstName}
                                                            </option>
                                                        </select>
                                                    </div>

                                                    <div v-else-if="status.attendance==='deputy'">
                                                        <select class="select form-select"
                                                            @change="changeAttendance(status);"
                                                            v-model="status.deputy"
                                                            :disabled="status.attendance !== 'deputy'"
                                                        >

                                                        <option :value="deputy"
                                                                v-for="deputy in deputiesAvailable">
                                                            ${deputy.lastName} ${deputy.firstName}
                                                        </option>

                                                        </select>
                                                    </div>

                                                </td>
                                            </tr>

                                            {% if countEmployee > 0 %}
                                                <tr class="d-flex">
                                                    <th class="col-12">Personnels administratifs</th>
                                                </tr>
                                            {% endif %}
                                            <tr class="d-flex" v-for="status in attendanceStatusEmployee">

                                                <td class="col-4">
                                                    ${status.firstName} ${status.lastName}
                                                </td>

                                                <td class="col-5" id="changeAttendancePresenceGroup">

                                                    <select class="select form-select" v-model="status.attendance"
                                                            @change="changeAttendance(status);">
                                                        <option value="">Sans Réponse</option>
                                                        <option value="present">Présent</option>
                                                        {% if sitting.isRemoteAllowed %}
                                                            <option value="remote">À distance</option>
                                                        {% endif %}
                                                        <option value="absent">Absent</option>
                                                    </select>
                                                </td>

                                                <td class="col-3"></td>
                                            </tr>


                                            {% if countGuest > 0 %}
                                                <tr class="d-flex">
                                                    <th class="col-12"> Invités</th>
                                                </tr>
                                            {% endif %}
                                            <tr class="d-flex w-100 col-12" v-for="status in attendanceStatusGuest">

                                                <td class="col-4">
                                                    ${status.firstName} ${status.lastName}
                                                </td>

                                                <td class="col-5" id="changeAttendancePresenceGroup">

                                                    <select class="select form-select" v-model="status.attendance"
                                                            @change="changeAttendance(status);">
                                                        <option value="">Sans Réponse</option>
                                                        <option value="present">Présent</option>
                                                        {% if sitting.isRemoteAllowed %}
                                                            <option value="remote">À distance</option>
                                                        {% endif %}
                                                        <option value="absent">Absent</option>
                                                    </select>
                                                </td>

                                                <td class="col-3"></td>
                                            </tr>

                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-link" title="Annuler"
                                                @click="showModalAttendance = false">
                                            <span class="fa fa-times"></span>
                                            Annuler
                                        </button>

                                        <button type="button" class="btn btn-primary" @click="saveAttendance();"
                                                title="Enregistrer">
                                            <span class="fa fa-save"></span>
                                            Enregistrer
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </transition>
            </div>

            <div v-if="showModalMailExample">
                <transition name="modal">
                    <div class="modal-mask">
                        <div class="modal-wrapper">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header align-items-start">
                                        <h5 class="modal-title">Aperçu du mail qui sera envoyé</h5>
                                        <button type="button" class="btn-close"  @click="showModalMailExample = false"></button>
                                    </div>


                                    <div class="modal-body">
                                        <div class="form-group mt-4">
                                            <label for="subject" v-if="!isInvitation">
                                                {% if subjectBySittingTypeGenerated %}
                                                    Objet : {{ subjectBySittingTypeGenerated }}
                                                {% else %}
                                                    Objet : {{ subjectGenerated }}
                                                {% endif %}

                                            </label>

                                            <label for="subject" v-else>
                                                Objet : {{ subjectInvitation }}
                                            </label>

                                            <iframe class="mt-3 bg-white" :src="previewUrl"
                                                    width="100%" height="300px"
                                                    style="border: 1px solid #ced4da; border-radius: .25rem;">
                                            </iframe>
                                        </div>

                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-link" title="Annuler"
                                                    @click="showModalMailExample = false">
                                                <span class="fa fa-times"></span>
                                                Annuler
                                            </button>
                                            <button type="button" class="btn btn-primary" title="Envoyer la convocation"
                                                    v-on:click="sendConvocation(convocationId)"
                                                    @click="showModalMailExample = false">
                                                <span class="fa fa-paper-plane"></span>
                                                Envoyer
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </transition>
            </div>

            <div v-if="showModalNotifyAgain">
                <transition name="modal">
                    <div class="modal-mask">
                        <div class="modal-wrapper">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header align-items-start">
                                        <h5 class="modal-title">Notifier les convoqués et invités</h5>
                                        <button type="button" class="btn-close"  @click="showModalNotifyAgain = false"></button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <label for="object">Objet</label>
                                            <input type="text" class="form-control" id="object" placeholder="Objet"
                                                   v-model="notification.object">
                                        </div>

                                        <div class="form-group">
                                            <label for="content">Message (format texte uniquement)</label>
                                            <textarea class="form-control" id="content" placeholder="Votre message ..."
                                                      rows="7"
                                                      v-model="notification.content"> </textarea>
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-link" title="Notifier à nouveau"
                                                @click="showModalNotifyAgain = false">
                                            <span class="fa fa-times"></span>
                                            Annuler
                                        </button>
                                        <button type="button" class="btn btn-primary"
                                                @click="sendNotifyAgain(); showModalSend();" title="Envoyer">
                                            <span class="fa fa-paper-plane"></span>
                                            Envoyer
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </transition>
            </div>

            <div v-if="showModalComelus">
                <transition name="modal">
                    <div class="modal-mask">
                        <div class="modal-wrapper">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-body text-center">
                                        <div class=" display-2">
                                            <span class=" fas fa-spinner fa-spin"> </span>
                                        </div>
                                        <b class="display-4">Envoi à comelus en cours</b>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </transition>
            </div>


            <div v-if="showModalSend">
                <transition name="modal">
                    <div class="modal-mask">
                        <div class="modal-wrapper">
                            <div class="modal-dialog" role="document" style="width: 500px; height: 250px">
                                <div class="modal-content">
                                    <div class="modal-body text-center">
                                        <div class=" display-2">
                                            <span class=" fas fa-spinner fa-spin  text-primary"> </span>
                                        </div>
                                        <b class="fw-normal" style="font-size: 20px">
                                            Envoi en cours</b>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </transition>
            </div>

        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('vue-show-invitations') }}
{% endblock %}
